<?php

namespace Drupal\zoom_video\Plugin\Field\FieldWidget;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\WidgetBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Plugin implementation of the 'zoom_video_widget' widget.
 *
 * @FieldWidget(
 *   id = "zoom_video_widget",
 *   label = @Translation("Zoom Video Widget"),
 *   field_types = {
 *     "zoom_video_field"
 *   }
 * )
 */
class ZoomVideoWidget extends WidgetBase {

  /**
   * {@inheritdoc}
   */
  public function formElement(FieldItemListInterface $items, $delta, array $element, array &$form, FormStateInterface $form_state): array {
    $meetingNumber = $items[$delta]->meeting_number ?? '';
    $password = $items[$delta]->password ?? '';

    $element['#type'] = 'fieldset';
    $element['#title'] = $this->t('Zoom Video');

    $element['meeting_number'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Meeting Number'),
      '#default_value' => $meetingNumber,
    ];

    $element['password'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Password'),
      '#default_value' => $password,
    ];

    return $element;
  }

}
